Get product media
Get an item of media for a product.
get
Path parameters
idstringRequired
productIdstringRequired
Query parameters
selectstringOptional
Responses
200
OK
application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
displayOrderinteger · int32Optional
urlstringOptional
301
Moved Permanently
404
Not Found
application/json
get/public/v1/catalog/products/{productId}/media/{id}
GET /public/v1/catalog/products/{productId}/media/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"type": "text",
"description": "text",
"status": "text",
"filename": "text",
"size": 1,
"contentType": "text",
"displayOrder": 1,
"url": "text",
"product": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"status": "text"
}
}Last updated
Was this helpful?